Skip to main content
GET
/
cost_provider_accounts
Get all cost provider accounts
curl --request GET \
  --url https://api.vantage.sh/v2/cost_provider_accounts \
  --header 'Authorization: Bearer <token>'
{
  "cost_provider_accounts": [
    {
      "title": "Azure Development Account",
      "account_id": "azure-subscription-id",
      "provider_uuid": "azure-subscription-uuid",
      "provider": "azure"
    },
    {
      "title": "AWS Test Account",
      "account_id": "999888777666",
      "provider_uuid": "arn:aws:organizations::999888777666:account/o-test123456/999888777666",
      "provider": "aws"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

workspace_token
string

The token of the Workspace to list CostProviderAccounts for. Required if the API token is associated with multiple Workspaces.

provider
enum<string>

Filter by provider type.

Available options:
aws,
azure,
gcp,
snowflake,
databricks,
mongo,
datadog,
fastly,
new_relic,
opencost,
open_ai,
oracle,
confluent,
planetscale,
coralogix,
kubernetes,
custom_provider,
github,
linode,
grafana,
clickhouse,
temporal,
twilio,
azure_csp,
kubernetes_agent,
anthropic,
anyscale,
cursor,
elastic,
vercel,
redis_cloud,
circle_ci
account_id
string

Filter by provider account identifier.

account_name
string

Filter by account name (exact match).

Response

200 - application/json

List of provider accounts.

CostProviderAccounts model

cost_provider_accounts
object[]
required